Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderAttribute

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.OrderAttribute

public class OrderAttribute
extends Object

Specifies a queryable attribute of an item to be used in the form:

Field Summary
`static OrderAttribute` | `ALWAYS`
`static String` | `cName`
`static OrderAttribute` | `EACH_QUALIFIER`
`static int` | `I_ALWAYS`
`static int` | `I_EACH_QUALIFIER`
`static int` | `I_SHIPPING`
`static int` | `I_SUBTOTAL`
`static String` | `S_ALWAYS`
`static String` | `S_EACH_QUALIFIER`
`static String` | `S_SHIPPING`
`static String` | `S_SUBTOTAL`
`static OrderAttribute` | `SHIPPING`
`static OrderAttribute` | `SUBTOTAL`

Method Summary
`boolean` | `equals(Object object)`
`int` | `getInt()`
`static OrderAttribute` | `getObject(String token)`
`String` | `getString()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

### I_SUBTOTAL

    public static final int I_SUBTOTAL

See Also:
  Constant Field Values

### I_SHIPPING

    public static final int I_SHIPPING

See Also:
  Constant Field Values

### I_ALWAYS

    public static final int I_ALWAYS

See Also:
  Constant Field Values

### I_EACH_QUALIFIER

    public static final int I_EACH_QUALIFIER

See Also:
  Constant Field Values

### SUBTOTAL

    public static final OrderAttribute SUBTOTAL

### SHIPPING

    public static final OrderAttribute SHIPPING

### ALWAYS

    public static final OrderAttribute ALWAYS

### EACH_QUALIFIER

    public static final OrderAttribute EACH_QUALIFIER

### S_SUBTOTAL

    public static final String S_SUBTOTAL

See Also:
  Constant Field Values

### S_SHIPPING

    public static final String S_SHIPPING

See Also:
  Constant Field Values

### S_ALWAYS

    public static final String S_ALWAYS

See Also:
  Constant Field Values

### S_EACH_QUALIFIER

    public static final String S_EACH_QUALIFIER

See Also:
  Constant Field Values

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

### getInt

    public int getInt()

### getObject

    public static OrderAttribute getObject(String token)

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved